/ emx/write.s (emx+gcc) -- Copyright (c) 1992-1994 by Eberhard Mattes

#include "syscalls.h"

        .globl  ___write_old

/ __write (int handle, void *buf, size_t nbyte)

        .align  2, 0x90

___write_old:
        pushl   %ebx
        movl    4*4(%esp), %ecx         /* nbyte */
        movl    3*4(%esp), %edx         /* buf */
        movl    2*4(%esp), %ebx         /* handle */
        SYSCALL(0x40)
        popl    %ebx
        SYSRETEAX
